"""
pour gérer toutes les applications
"""
from outils.chifoumi import Chifoumi
from outils.juste_prix import JustePrix
from outils.yt_ihm_download import YTDownload

choix_app = ('1 pour Juste Prix','2 pour Chifoumi','3 pour YT')
if __name__ == "__main__":
    #programme principal
    partie = 'oui'
    #on boucle tant que l'on veut jouer !
    while partie =='oui':
        choix = ''
        while choix not in ('1','2','3'):
            choix = input(f"Quelle application. Tapez {', '.join(choix_app)} : ")
        if choix=='1':
            #création d'une nouvelle partie
            jeu = JustePrix()
            #lancement
            jeu.lancer_partie()
        elif choix=='2':
            jeu = Chifoumi()
            #lancement
            jeu.lancer_partie()
        else:
            YTDownload()
        #encore une partie ?
        partie = input('Nouvelle application ? oui, non: ')